Index: NEMO/branches/2019/ENHANCE-02_ISF_nemo/src/OCE/BDY/bdydta.F90
===================================================================
--- NEMO/branches/2019/ENHANCE-02_ISF_nemo/src/OCE/BDY/bdydta.F90	(revision 12062)
+++ NEMO/branches/2019/ENHANCE-02_ISF_nemo/src/OCE/BDY/bdydta.F90	(revision 12143)
@@ -413,33 +370,32 @@
       !!                
       !!----------------------------------------------------------------------
-      INTEGER ::   jbdy, jfld, jstart, jend, ierror, ios     ! Local integers
+      INTEGER ::   jbdy, jfld    ! Local integers
+      INTEGER ::   ierror, ios     ! 
       !
+      CHARACTER(len=3)                       ::   cl3           ! 
       CHARACTER(len=100)                     ::   cn_dir        ! Root directory for location of data files
-      CHARACTER(len=100), DIMENSION(nb_bdy)  ::   cn_dir_array  ! Root directory for location of data files
-      CHARACTER(len = 256)::   clname                           ! temporary file name
       LOGICAL                                ::   ln_full_vel   ! =T => full velocities in 3D boundary data
       !                                                         ! =F => baroclinic velocities in 3D boundary data
-      INTEGER                                ::   ilen_global   ! Max length required for global bdy dta arrays
-      INTEGER, ALLOCATABLE, DIMENSION(:)     ::   ilen1, ilen3  ! size of 1st and 3rd dimensions of local arrays
-      INTEGER, ALLOCATABLE, DIMENSION(:)     ::   ibdy           ! bdy set for a particular jfld
-      INTEGER, ALLOCATABLE, DIMENSION(:)     ::   igrid         ! index for grid type (1,2,3 = T,U,V)
-      INTEGER, POINTER, DIMENSION(:)         ::   nblen, nblenrim  ! short cuts
-      TYPE(OBC_DATA), POINTER                ::   dta           ! short cut
-#if defined key_si3
-      INTEGER               ::   kndims   ! number of dimensions in an array (i.e. 3 = wo ice cat; 4 = w ice cat)
-      INTEGER, DIMENSION(4) ::   kdimsz   ! size   of dimensions
-      INTEGER               ::   inum,id1 ! local integer
-#endif
-      TYPE(FLD_N), ALLOCATABLE, DIMENSION(:) ::   blf_i         !  array of namelist information structures
-      TYPE(FLD_N) ::   bn_tem, bn_sal, bn_u3d, bn_v3d   ! 
-      TYPE(FLD_N) ::   bn_ssh, bn_u2d, bn_v2d           ! informations about the fields to be read
-#if defined key_si3
-      TYPE(FLD_N) ::   bn_a_i, bn_h_i, bn_h_s      
-#endif
+      LOGICAL                                ::   ln_zinterp    ! =T => requires a vertical interpolation of the bdydta
+      REAL(wp)                               ::   rn_ice_tem, rn_ice_sal, rn_ice_age, rn_ice_apnd, rn_ice_hpnd 
+      INTEGER                                ::   ipk,ipl       !
+      INTEGER                                ::   idvar         ! variable ID
+      INTEGER                                ::   indims        ! number of dimensions of the variable
+      INTEGER                                ::   iszdim        ! number of dimensions of the variable
+      INTEGER, DIMENSION(4)                  ::   i4dimsz       ! size of variable dimensions 
+      INTEGER                                ::   igrd          ! index for grid type (1,2,3 = T,U,V)
+      LOGICAL                                ::   lluld         ! is the variable using the unlimited dimension
+      LOGICAL                                ::   llneed        !
+      LOGICAL                                ::   llread        !
+      TYPE(FLD_N), DIMENSION(1), TARGET  ::   bn_tem, bn_sal, bn_u3d, bn_v3d   ! must be an array to be used with fld_fill
+      TYPE(FLD_N), DIMENSION(1), TARGET  ::   bn_ssh, bn_u2d, bn_v2d           ! informations about the fields to be read
+      TYPE(FLD_N), DIMENSION(1), TARGET  ::   bn_a_i, bn_h_i, bn_h_s, bn_t_i, bn_t_s, bn_tsu, bn_s_i, bn_aip, bn_hip       
+      TYPE(FLD_N), DIMENSION(:), POINTER ::   bn_alias                        ! must be an array to be used with fld_fill
+      TYPE(FLD  ), DIMENSION(:), POINTER ::   bf_alias
+      !
       NAMELIST/nambdy_dta/ cn_dir, bn_tem, bn_sal, bn_u3d, bn_v3d, bn_ssh, bn_u2d, bn_v2d 
-#if defined key_si3
-      NAMELIST/nambdy_dta/ bn_a_i, bn_h_i, bn_h_s
-#endif
-      NAMELIST/nambdy_dta/ ln_full_vel
+      NAMELIST/nambdy_dta/ bn_a_i, bn_h_i, bn_h_s, bn_t_i, bn_t_s, bn_tsu, bn_s_i, bn_aip, bn_hip
+      NAMELIST/nambdy_dta/ rn_ice_tem, rn_ice_sal, rn_ice_age, rn_ice_apnd, rn_ice_hpnd
+      NAMELIST/nambdy_dta/ ln_full_vel, ln_zinterp
       !!---------------------------------------------------------------------------
       !
